%define ext_guid '{506d044e-41fa-4cc8-9dc6-9ff70e96eebf}'

Name: thunderbird-startupmaster
License: MPL
Group: Applications/Internet
Summary: Startup Master add-on for thunderbird
Version: 1.3.cern
Release: 2%{?dist}
URL: https://addons.mozilla.org/en-US/thunderbird/addon/startupmaster/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: startupmaster-%{version}-fx+tb.xpi
Source100: mozilla-extension-update.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Requires:  thunderbird


%description
Asks for the master password at startup (fixes multiple password prompt)

This extension is a minor enhancement for Firefox & Thunderbird. 
It asks your master password every time you start the application before 
the main window is displayed. If there is no master password set, 
the extension does nothing.

%define update_thunderbird \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action

%post
%{update_thunderbird} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -- thunderbird
%{update_thunderbird} install ||:


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh


%changelog
* Fri May 4 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.3.cern-1
- relaxed strict version compatibility version check in source.

* Mon Apr 30 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.3-1
- Initial release.
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
